summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-ruby/cocaine
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-ruby/cocaine')
-rw-r--r--dev-ruby/cocaine/Manifest2
-rw-r--r--dev-ruby/cocaine/cocaine-0.5.5.ebuild49
-rw-r--r--dev-ruby/cocaine/cocaine-0.5.7.ebuild49
-rw-r--r--dev-ruby/cocaine/metadata.xml5
4 files changed, 105 insertions, 0 deletions
diff --git a/dev-ruby/cocaine/Manifest b/dev-ruby/cocaine/Manifest
new file mode 100644
index 00000000000..78e88feda53
--- /dev/null
+++ b/dev-ruby/cocaine/Manifest
@@ -0,0 +1,2 @@
+DIST cocaine-0.5.5.gem 16384 SHA256 637de9fc749bf8e55b032155d3d93ecfe30c7c65e958b467324c25c7d4239660 SHA512 d678a823e610b39fac934584466b7f231ee27387323c953206c09a16ce309d58b941e7750cf5666851dff8f93863c10eae524e725aa6c92e11c70dcc44480a10 WHIRLPOOL ff6a31ca7cdb474902ee7d2a7c4d2aea546b411072509dbab90ecdcfbf6b0fe623ee4a0cba7c685f3898116da25bc35adb4084ffd2e9c2f494cb5ae2b5c4b926
+DIST cocaine-0.5.7.gem 16384 SHA256 ccf17d0050b63a436524f65608dd1ab993973a19af6ccb6bc3341d0629702f1d SHA512 6de24020f83b8af27f6b3e49457b9ae5316f282aeab194254fdde8ece0f3b75250c0a63fd127eb304e769e71f85f9e67e4e65e4c0f04ac80a69fc9990fd932cd WHIRLPOOL 25b1843ea59543a40b6296424d4ce26302ef8e4ec8a63821dd22eefa09db9bbd6d9967ff686167e983d95b5316a850106a3b27c666485327f293129b05f4ee2c
diff --git a/dev-ruby/cocaine/cocaine-0.5.5.ebuild b/dev-ruby/cocaine/cocaine-0.5.5.ebuild
new file mode 100644
index 00000000000..d2e660727e1
--- /dev/null
+++ b/dev-ruby/cocaine/cocaine-0.5.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A small library for doing command lines"
+HOMEPAGE="http://www.thoughtbot.com/projects/cocaine"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/climate_control:0"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/activesupport-3 <dev-ruby/activesupport-5
+ dev-ruby/bourne
+ <dev-ruby/mocha-1.0.0
+ dev-ruby/posix-spawn
+ )"
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/git ls-files/d' \
+ "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ rm Gemfile* || die
+
+ sed -i -e '/bundler/d' Rakefile || die
+
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb || die
+
+ # BufferedLogger is deprecated in activesupport-4.0, and removed in 4.1
+ # Require active_support not active_support/buffered_logger.
+ sed -i -e 's/\/buffered_logger//g' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/cocaine/cocaine-0.5.7.ebuild b/dev-ruby/cocaine/cocaine-0.5.7.ebuild
new file mode 100644
index 00000000000..913bc7428e7
--- /dev/null
+++ b/dev-ruby/cocaine/cocaine-0.5.7.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A small library for doing command lines"
+HOMEPAGE="http://www.thoughtbot.com/projects/cocaine"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/climate_control:0"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/activesupport-3 <dev-ruby/activesupport-5
+ dev-ruby/bourne
+ <dev-ruby/mocha-1.0.0
+ dev-ruby/posix-spawn
+ )"
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/git ls-files/d' \
+ "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ rm Gemfile* || die
+
+ sed -i -e '/bundler/d' Rakefile || die
+
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb || die
+
+ # BufferedLogger is deprecated in activesupport-4.0, and removed in 4.1
+ # Require active_support not active_support/buffered_logger.
+ sed -i -e 's/\/buffered_logger//g' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/cocaine/metadata.xml b/dev-ruby/cocaine/metadata.xml
new file mode 100644
index 00000000000..85213618336
--- /dev/null
+++ b/dev-ruby/cocaine/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ruby</herd>
+</pkgmetadata>